#include <IRremote.h>

//IR LED on D3
String readString;
IRsend irsend;

void setup()
{
  Serial.begin(9600);
}

void loop() {
  while (Serial.available()) {
    delay(3);  
    char c = Serial.read();
    readString += c; 
  } 
  if (readString.length() >0) {
    Serial.println(readString);
    if (readString == "g")     //전원 power button 
    {
      irsend.sendNEC(0x40FF28D7, 32);
    }
    if (readString == "h")    //외부입력 source button
    {
      irsend.sendNEC(0x40FF18E7, 32);
    }
    if (readString == "w")   //볼륨업  vol up button
    {
      irsend.sendNEC(0x40FF6897, 32);
    }
    if (readString == "x")  //볼륨다운  vol down button
    {
      irsend.sendNEC(0x40FFA857, 32);
    }
    if (readString == "a")     //체널업 ch up button
    {
      irsend.sendNEC(0x40FF08F7, 32);
    }
     if (readString == "b")     //체널다운 ch down button
    {
      irsend.sendNEC(0x40FF708F, 32);
    }
     if (readString == "s")     //음소거 mute button
    {
      irsend.sendNEC(0x40FF9867, 32);
    }
    readString="";
  }
}
